import { ViewContainerRef, ComponentResolver } from "@angular/core";
import { PopoverContent } from "./popover-container.component";
export declare class Popover {
    private viewContainerRef;
    private resolver;
    private visible;
    private popover;
    content: string | PopoverContent;
    popoverDisabled: boolean;
    popoverAnimation: boolean;
    popoverPlacement: "top" | "bottom" | "left" | "right";
    popoverTitle: string;
    popoverOnHover: boolean;
    popoverCloseOnClickOutside: boolean;
    popoverCloseOnMouseOutside: boolean;
    constructor(viewContainerRef: ViewContainerRef, resolver: ComponentResolver);
    showOrHideOnClick(): void;
    showOnHover(): void;
    hideOnHover(): void;
    private show();
    private getInstance();
    private hide();
    private setOptions();
}
